#include <iostream>
#include <cstring>
using namespace std;

int indmin(int x[],int n){
    int indmin=0;
    for(int i=0;i<n;i++)
        if(x[i]<x[indmin]) indmin=i;
    return indmin;
}

int main(){
    char t[200000],s[10];
    cin>>t>>s;
    int n=strlen(s),m=strlen(t);
    int a=0;
    for(int i=0;i<n;i++)
        if(s[i]=='a') a++;
    if(n==a){
        int br=a-1,p=0;
        for(int i=0;i<m;i++)
            if(t[i]=='a' and br>0) br--;
            else if(t[i]=='a'){
                t[i]=42;
                p++;
            }
        cout<<p<<endl;
        cout<<t;
    }
    else{
        int x[10];
        for(int j=0;j<m;j++)
            for(int i=0;i<n;i++)
                 if(t[j]==s[i]) x[i]++;
        a=indmin(x,n);
        for(int i=0;i<m;i++) 
            if(t[i]==s[a]) t[i]=42;
        cout<<x[a]<<endl;
        cout<<t;
    }
}